FLEX(1)

NUME
flex - generatorul rapid de analiză lexicală

SINOPSIS
flex [OPŢIUNI] [FIŞIER]...

DESCRIERE
Generează programe care caută potriviri de tipare pe un text.

  Comprimare de tabele:

-Ca, --align
    renunță la tabelele mari în favoarea unui aliniament mai bun al memoriei

-Ce, --ecs
    construiește clase de echivalenţă

-Cf nu comprimă tabelele; folosește reprezentare -f

-CF nu comprimă tabelele; folosește reprezentare -F

-Cm, --meta-ecs
    construieşte clase de meta-echivalență

-Cr, --read
    folosește read() în loc de stdio pentru intrarea de scaner

-f, --full
    generează scanere rapide, mari. Asemănător lui -Cfr

-F, --fast
    folosește reprezentare alternativă de tabele. Asemănător lui -CFr

-Cem
    comprimare implicită (asemănător lui --ecs --meta-ecs)

  Depanare:

-d, --debug
    activează modul depanare în scanner

-b, --backup
    scrie de informațiile de copie de rezervă în lex.backup

-p, --perf-report
    scrie raportul de performanță la ieșirea de eroare standard

-s, --nodefault
    elimină regula implicită de ECHO text care nu se potriveşte

-T, --trace
    «flex» ar trebui să ruleze în modul trasare de execuție (trace)

-w, --nowarn
    nu generează avertismente

-v, --verbose
    scrie cuprinsul statisticilor scanerului la ieșirea standard

--hex
    utilizează numere hexazecimale în loc de octale în ieșirile de depanare

FIȘIERE

-o, --outfile=FIȘIER
    specifică numele de fișier de ieşire

-S, --skel=FIȘIER
    specifică fișierul schelet

-t, --stdout
    scrie scanerul la ieșirea standard în loc de lex.yy.c

--yyclass=NUME
    numele clasei C++

--header-file=FIȘIER
    creează un fișier de antet C pe lângă scanner

--tables-file[=FIȘIER] scrie tabelele în FIȘIER

  Comportament scaner:

-7, --7bit
    generează scaner pe 7-biţi

-8, --8bit
    generează scaner pe 8-biţi

-B, --batch
    generează scaner comandă(batch) (inversul lui -I)

-i, --case-insensitive
    ignoră diferența majuscule/minuscule în tipare

-l, --lex-compat
    compatibilitate maximă cu lex original

-X, --posix-compat
    compatibilitate maximă cu lex POSIX

-I, --interactive
    generează scaner interactiv (inversul lui -B)

--yylineno
    urmărește numerotarea liniilor în yylineno

  Cod generat:

-+,  --c++
    generează clasă de scaner C++

-Dmacro[=defn]
    #define macro defn (implicit defn este „1”)

-L,  --noline
    elimină directivele #line din scaner

-P,  --prefix=ŞIR
    folosește ȘIR ca prefix în loc de "yy"

-R,  --reentrant
    generează un scaner C circular(reentrant)

--bison-bridge
    scaner pentru analiză pură «bison».

--bison-locations
    include suport yylloc.

--stdinit
    inițializează yyin/yyout către intrarea standard/ieșirea standard

--nounistd
    nu include <unistd.h>

--noFUNCȚIE
    nu generează o anumită FUNCȚIE

  Diverse:

-c  opțiune POSIX care nu face nimic

-n  opțiune POSIX care nu face nimic

-?

-h, --help
    produce acest mesaj de ajutor

-V, --version
    raportează versiunea «flex»

CONSULTAȚI ȘI
Documentația completă pentru flex este menținută ca un manual Texinfo. Dacă programele info și flex sunt instalate corect pe sistemul dumneavoastră, comanda

    info flex

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Eugen Hoanca <eugenh@urban-grafx.ro> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.